List verified domains
curl --request GET \
--url https://my.orq.ai/v2/workspaces/{workspace_key}/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v2/workspaces/{workspace_key}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{workspace_key}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"id": "<string>",
"domain": "<string>",
"status": "DOMAIN_VERIFICATION_STATUS_PENDING",
"txt_name": "<string>",
"txt_value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>"
}
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Workspace Security
List verified domains
Lists domain-verification records for the workspace.
GET
/
v2
/
workspaces
/
{workspace_key}
/
domains
List verified domains
curl --request GET \
--url https://my.orq.ai/v2/workspaces/{workspace_key}/domains \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v2/workspaces/{workspace_key}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{workspace_key}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domains": [
{
"id": "<string>",
"domain": "<string>",
"status": "DOMAIN_VERIFICATION_STATUS_PENDING",
"txt_name": "<string>",
"txt_value": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"verified_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>"
}
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Was this page helpful?